## python-django-feincms 1.7.4

=== requirements.txt ===
Django>=1.4
django-mptt>=0.4
PIL
feedparser>=5.1.2
lxml
BeautifulSoup>=3.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/FeinCMS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/FeinCMS.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## python-django-feincms 1.3.0~dfsg

=== debian/changelog ===
python-django-feincms (1.3.0~dfsg-2) unstable; urgency=low

  * Fix conflicting imports in feincms/contrib/tagging.py (Closes: #633970) 

 -- Janos Guljas <janos@resenje.org>  Fri, 15 Jul 2011 18:33:12 +0200

python-django-feincms (1.3.0~dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #611048)

 -- Janos Guljas <janos@resenje.org>  Wed, 18 May 2011 17:16:15 +0200

=== debian/control ===
Source: python-django-feincms
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@resenje.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-django (>= 1.2),
 python-sphinx, python-imaging, python-feedparser, python-django-mptt,
 python-django-tagging, python-lxml, python-tidylib
Standards-Version: 3.9.2
Homepage: http://github.com/matthiask/feincms
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django-feincms/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-django-feincms/trunk/

Package: python-django-feincms
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django, python-django-mptt,
 python-django-tagging, python-imaging, python-feedparser, python-tidylib,
 libjs-jquery (>= 1.5.1), libjs-jquery-ui (>= 1.8)
Recommends: python-lxml
Provides: ${python:Provides}
Description: Django-based Page CMS and CMS building toolkit
 FeinCMS is an extremely stupid content management system. It knows
 nothing about content -- just enough to create an admin interface for
 your own page content types. It lets you reorder page content blocks
 using a drag-drop interface, and you can add as many content blocks
 to a region (f.e. the sidebar, the main content region or something
 else). It provides helper functions, which provide ordered lists of page
 content blocks.

Package: python-django-feincms-doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Section: doc
Description: Django-based Page CMS and CMS building toolkit - documentation
 FeinCMS is an extremely stupid content management system. It knows
 nothing about content -- just enough to create an admin interface for
 your own page content types. It lets you reorder page content blocks
 using a drag-drop interface, and you can add as many content blocks
 to a region (f.e. the sidebar, the main content region or something
 else). It provides helper functions, which provide ordered lists of page
 content blocks.
 .
 This package contains the HTML documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	sphinx-build -b html docs debian/html
	rm -rf debian/html/_sources/
	rm -f debian/python-pymongo-doc/usr/share/doc/python-django-feincms-doc/html/_static/jquery.js
	rm -rf debian/python-pymongo-doc/usr/share/doc/python-django-feincms-doc/html/.doctrees

override_dh_auto_clean:
	rm -rf debian/html
	find docs -name "*.pyc" -exec rm -rf {} +
	dh_auto_clean

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/python-django-feincms/usr/share/pyshared/feincms/static/feincms/fein_tree.js

override_dh_installexamples:
	dh_installexamples -Xexample/media/.gitignore

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg$// \
http://githubredir.debian.net/github/matthiask/feincms /github/matthiask/feincms/v((?:\d\.)+\d).tar.gz

## python-django-feincms 1.4.2

=== debian/changelog ===
python-django-feincms (1.4.2-2) unstable; urgency=low

  * Add DM-Upload-Allowed control field.
  * Fix dep5 syntax.
  * Add python-all to build-depends to fix "missing build dependency
    for dh addon" lintian warning.

 -- Janos Guljas <janos@resenje.org>  Mon, 26 Dec 2011 22:49:51 +0100

python-django-feincms (1.4.2-1) unstable; urgency=low

  * New upstream release.
  * Remove get-orig-source from debian/rules as there is no need for
    repacking orig tarball. Upstream is providing not compressed JavaScript
    files as preferred form of modification.
  * Add jquery and jquery-ui licences to debian/copyright.
  * Link jquery and jquery-ui files in debian/python-django-feincms.links.
  * Remove debian/patches/fix-tagging-import.patch as it is fixed upstream.
  * Add debian/source/local-options.
  * Removed version dependencies for python-django and libjs-jquery-ui. 
  * Add libjs-underscore dependency for python-django-feincms-doc and link
    to underscore.js.

 -- Janos Guljas <janos@resenje.org>  Wed, 24 Aug 2011 20:55:24 +0200

python-django-feincms (1.3.1~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch file with new location.
  * Make link for feincms/static/jquery.cookie.js.
  * Add libjs-jquery-cookie dependency.
  * Add get-orig-source in debian/rules.

 -- Janos Guljas <janos@resenje.org>  Mon, 01 Aug 2011 22:25:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Janos Guljas <janos@resenje.org>
+DM-Upload-Allowed: yes
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-django (>= 1.2),
+Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools, python-django,
  python-sphinx, python-imaging, python-feedparser, python-django-mptt,
  python-django-tagging, python-lxml, python-tidylib
 Standards-Version: 3.9.2
@@ -15,7 +16,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-django, python-django-mptt,
  python-django-tagging, python-imaging, python-feedparser, python-tidylib,
- libjs-jquery (>= 1.5.1), libjs-jquery-ui (>= 1.8)
+ libjs-jquery, libjs-jquery-ui, libjs-jquery-cookie
 Recommends: python-lxml
 Provides: ${python:Provides}
 Description: Django-based Page CMS and CMS building toolkit
@@ -29,7 +30,7 @@
 
 Package: python-django-feincms-doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Section: doc
 Description: Django-based Page CMS and CMS building toolkit - documentation
  FeinCMS is an extremely stupid content management system. It knows

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 %:
 	dh $@ --with python2
+
 
 override_dh_auto_build:
 	dh_auto_build

## python-django-feincms 1.5.1

=== debian/changelog ===
python-django-feincms (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Add python-beautifulsoup in Build-Depends as required for making
    documentation.
  * python-django-feincms:
    - add python-beautifulsoup in Recommends as it is used by cleanse.py
  * Update debian/copyright Format value.
  * Bump standards to 3.9.3.
  * Remove executable flag from javascript file
    feincms/static/feincms/jquery-ui-1.8.16.custom.min.js.

 -- Janos Guljas <janos@resenje.org>  Fri, 24 Feb 2012 18:25:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools, python-django,
  python-sphinx, python-imaging, python-feedparser, python-django-mptt,
- python-django-tagging, python-lxml, python-tidylib
-Standards-Version: 3.9.2
+ python-django-tagging, python-lxml, python-tidylib, python-beautifulsoup
+Standards-Version: 3.9.3
 Homepage: http://github.com/matthiask/feincms
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django-feincms/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-django-feincms/trunk/
@@ -17,7 +17,7 @@
 Depends: ${misc:Depends}, ${python:Depends}, python-django, python-django-mptt,
  python-django-tagging, python-imaging, python-feedparser, python-tidylib,
  libjs-jquery, libjs-jquery-ui, libjs-jquery-cookie
-Recommends: python-lxml
+Recommends: python-lxml, python-beautifulsoup
 Provides: ${python:Provides}
 Description: Django-based Page CMS and CMS building toolkit
  FeinCMS is an extremely stupid content management system. It knows

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod -x debian/python-django-feincms/usr/share/pyshared/feincms/static/feincms/fein_tree.js
+	chmod -x debian/python-django-feincms/usr/share/pyshared/feincms/static/feincms/jquery-ui-1.8.16.custom.min.js
 
 override_dh_installexamples:
 	dh_installexamples -Xexample/media/.gitignore

## python-django-feincms 1.6.2

=== debian/changelog ===
python-django-feincms (1.6.2-2) unstable; urgency=low

  * Preserve _sources from html documentation to make sphinx search work.

 -- Janos Guljas <janos@resenje.org>  Wed, 27 Jun 2012 23:28:29 +0200

python-django-feincms (1.6.2-1) unstable; urgency=low

  * New usptream release.

 -- Janos Guljas <janos@resenje.org>  Mon, 25 Jun 2012 13:16:01 +0200

python-django-feincms (1.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Thu, 21 Jun 2012 18:32:38 +0200

python-django-feincms (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/source/options
    - Ignore mongoengine.egg-info changes after build. (Closes: #671418)

 -- Janos Guljas <janos@resenje.org>  Thu, 07 Jun 2012 22:07:15 +0200

python-django-feincms (1.5.3-2) unstable; urgency=low

  * debian/python-django-feincms.links
    - Update links to jquery and jquery-ui files. (Closes: #670175)
  * debian/rules
    - Remove unneeded changing of permissions.

 -- Janos Guljas <janos@resenje.org>  Mon, 23 Apr 2012 19:16:34 +0200

python-django-feincms (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Sun, 22 Apr 2012 21:05:31 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2


override_dh_auto_build:
	dh_auto_build
	sphinx-build -b html docs debian/html
	rm -f debian/python-pymongo-doc/usr/share/doc/python-django-feincms-doc/html/_static/jquery.js
	rm -rf debian/python-pymongo-doc/usr/share/doc/python-django-feincms-doc/html/.doctrees

override_dh_auto_clean:
	rm -rf debian/html
	find docs -name "*.pyc" -exec rm -rf {} +
	dh_auto_clean

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/python-django-feincms/usr/share/pyshared/feincms/static/feincms/fein_tree.js

override_dh_installexamples:
	dh_installexamples -Xexample/media/.gitignore

## python-django-feincms 1.7.4

=== debian/changelog ===
python-django-feincms (1.7.4-1ubuntu1) trusty; urgency=medium

  * Fix build failure with /usr/share/pyshared removed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 16:27:15 +0100

python-django-feincms (1.7.4-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

  [ Janos Guljas ]
  * New upstream release. (Closes: #712992)
  * debian/control:
    - Update my email address.
    - Depend on debhelper >= 9.
  * Bump debhelper compatibility to 9.
  * Bump standards version to 3.9.4.
  * Update file paths in debian/python-django-feincms.links.
  * Remove debian/pyversions.
  * debian/copyright
    - Update copyright years and my email address.
    - Update file paths.
  * Add QUICKSTART.rst in debian/docs.

 -- Janos Guljas <janos@debian.org>  Wed, 26 Jun 2013 19:32:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: python-django-feincms
 Section: python
 Priority: optional
-Maintainer: Janos Guljas <janos@resenje.org>
-DM-Upload-Allowed: yes
+Maintainer: Janos Guljas <janos@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools, python-django,
+Build-Depends: debhelper (>= 9), python-all, python-setuptools, python-django,
  python-sphinx, python-imaging, python-feedparser, python-django-mptt,
  python-django-tagging, python-lxml, python-tidylib, python-beautifulsoup
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/matthiask/feincms
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django-feincms/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-django-feincms/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-feincms/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-feincms/trunk/
 
 Package: python-django-feincms
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod -x debian/python-django-feincms/usr/share/pyshared/feincms/static/feincms/fein_tree.js
+	chmod -x debian/python-django-feincms/usr/lib/python2.?/*-packages/feincms/static/feincms/fein_tree.js
 
 override_dh_installexamples:
 	dh_installexamples -Xexample/media/.gitignore

=== debian/watch ===
version=3
http://githubredir.debian.net/github/feincms/feincms /github/feincms/feincms/v((?:\d\.)+\d).tar.gz

## python-django-feincms 1.11.4

=== tests/requirements.txt ===
Django
django-mptt
Pillow
coverage
pytz
feedparser

=== debian/changelog ===
python-django-feincms (1.11.4-1) unstable; urgency=medium

  [ Christopher Baines ]
  * New upstream version. (Closes: #750335, #755627, #801944)

  [ Ondřej Nový ]
  * Fixed homepage (https)

 -- Christopher Baines <mail@cbaines.net>  Sun, 28 Feb 2016 17:39:45 +0000

=== debian/control ===
Source: python-django-feincms
Maintainer: Janos Guljas <janos@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools,
               python-django,
               python3-django,
               python-sphinx,
               python3-sphinx,
               python-pil,
               python3-pil,
               python-feedparser,
               python3-feedparser,
               python-django-mptt,
               python3-django-mptt,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-feincms.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-feincms.git
Homepage: https://github.com/matthiask/feincms
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-django-feincms
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         libjs-jquery,
         libjs-jquery-ui,
         libjs-jquery-cookie
Recommends: python-lxml,
            python-beautifulsoup
Provides: ${python:Provides}
Description: Django-based Page CMS and CMS building toolkit
 FeinCMS is an extremely stupid content management system. It knows
 nothing about content -- just enough to create an admin interface for
 your own page content types. It lets you reorder page content blocks
 using a drag-drop interface, and you can add as many content blocks
 to a region (f.e. the sidebar, the main content region or something
 else). It provides helper functions, which provide ordered lists of page
 content blocks.

Package: python3-django-feincms
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         libjs-jquery,
         libjs-jquery-ui,
         libjs-jquery-cookie
Recommends: python3-lxml,
            python3-beautifulsoup
Provides: ${python3:Provides}
Description: Django-based Page CMS and CMS building toolkit
 FeinCMS is an extremely stupid content management system. It knows
 nothing about content -- just enough to create an admin interface for
 your own page content types. It lets you reorder page content blocks
 using a drag-drop interface, and you can add as many content blocks
 to a region (f.e. the sidebar, the main content region or something
 else). It provides helper functions, which provide ordered lists of page
 content blocks.

Package: python-django-feincms-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Description: Django-based Page CMS and CMS building toolkit - documentation
 FeinCMS is an extremely stupid content management system. It knows
 nothing about content -- just enough to create an admin interface for
 your own page content types. It lets you reorder page content blocks
 using a drag-drop interface, and you can add as many content blocks
 to a region (f.e. the sidebar, the main content region or something
 else). It provides helper functions, which provide ordered lists of page
 content blocks.
 .
 This package contains the HTML documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-feincms

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	sphinx-build -vvv -b html docs debian/html

override_dh_sphinxdoc:
	dh_sphinxdoc usr/share/doc/python-django-feincms-doc/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; cd tests && for python in $$(pyversions -s) $$(py3versions -s); do \
		echo "——— Running tests with $$python ———"; \
		$$python ./manage.py test --settings=testapp.settings --verbosity=2; \
	done
endif

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-django-feincms-$1\.tar\.gz/ \
  https://github.com/feincms/feincms/tags .*/?(\d\.\d{2}.\d)\.tar\.gz
